Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		gnucap
Version:	0.35
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.gnu.org/software/gnucap
Group:		Science/Engineering
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Gnu Circuit Analysis Package
#BuildRequires:  perl
#BuildRequires:  glibc-devel
#BuildRequires:  libstdc++-devel

%description
Gnucap is the Gnu Circuit Analysis Package.
The primary component is a general purpose circuit simulator. It performs nonlinear dc and transient analysis, fourier analysis, and ac analysis. It is fully interactive and command driven. It can also be run in batch mode or as a server. SPice compatible models for MOSFET (level 1-7), BJT, and diode are included in this release.

Gnucap is not based in Spice, but some of the models have been derived from the Berkeley models.
Unlike Spice, the engine is designed to do true mixed-mode simulation. Most of the code is in place fpr future support of event driven analog simulation, and true multi-rate simulation.


%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir \
		--infodir=%_infodir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_mandir
%_datadir/gnucap

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.35-1
- Initial Release
